<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: _scconf_parser Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">_scconf_parser Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="internal_8h_source.html">internal.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:acfd270beac6237ae62da91e9488adc55"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#acfd270beac6237ae62da91e9488adc55">config</a></td></tr>
<tr class="separator:acfd270beac6237ae62da91e9488adc55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba81c977d8901de66b169a60d8481e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#abba81c977d8901de66b169a60d8481e1">block</a></td></tr>
<tr class="separator:abba81c977d8901de66b169a60d8481e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c9f5b49f0bf712754fe84f3cc2ea29a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#a7c9f5b49f0bf712754fe84f3cc2ea29a">last_item</a></td></tr>
<tr class="separator:a7c9f5b49f0bf712754fe84f3cc2ea29a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f21cf63183c24d91d17fafc92da4e6d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#a5f21cf63183c24d91d17fafc92da4e6d">current_item</a></td></tr>
<tr class="separator:a5f21cf63183c24d91d17fafc92da4e6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5892a9181e6a332f84d27aecd41dcd12"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#a5892a9181e6a332f84d27aecd41dcd12">key</a></td></tr>
<tr class="separator:a5892a9181e6a332f84d27aecd41dcd12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c0f0d9b82294b198e07f8385904e1c2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#a0c0f0d9b82294b198e07f8385904e1c2">name</a></td></tr>
<tr class="separator:a0c0f0d9b82294b198e07f8385904e1c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89f234133d3efe315836311cbf21c64b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#a89f234133d3efe315836311cbf21c64b">state</a></td></tr>
<tr class="separator:a89f234133d3efe315836311cbf21c64b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb4f3c47fbd778c25e7a01c1620be16d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#adb4f3c47fbd778c25e7a01c1620be16d">last_token_type</a></td></tr>
<tr class="separator:adb4f3c47fbd778c25e7a01c1620be16d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41ebd28ef1d7c6ade45642cb6acc1039"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#a41ebd28ef1d7c6ade45642cb6acc1039">line</a></td></tr>
<tr class="separator:a41ebd28ef1d7c6ade45642cb6acc1039"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e9d9d47133fce0cb42e2b8c009f0a33"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#a0e9d9d47133fce0cb42e2b8c009f0a33">error</a>:1</td></tr>
<tr class="separator:a0e9d9d47133fce0cb42e2b8c009f0a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1692abafd011506c458c0bda2b9459ea"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#a1692abafd011506c458c0bda2b9459ea">warnings</a>:1</td></tr>
<tr class="separator:a1692abafd011506c458c0bda2b9459ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cce0da3228d21258aa9ea44fcd0df60"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html#a3cce0da3228d21258aa9ea44fcd0df60">emesg</a> [256]</td></tr>
<tr class="separator:a3cce0da3228d21258aa9ea44fcd0df60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00034">34</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="abba81c977d8901de66b169a60d8481e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abba81c977d8901de66b169a60d8481e1">&#9670;&nbsp;</a></span>block</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a>* block</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00037">37</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="acfd270beac6237ae62da91e9488adc55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfd270beac6237ae62da91e9488adc55">&#9670;&nbsp;</a></span>config</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structscconf__context.html">scconf_context</a>* config</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00035">35</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a5f21cf63183c24d91d17fafc92da4e6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f21cf63183c24d91d17fafc92da4e6d">&#9670;&nbsp;</a></span>current_item</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> * current_item</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00038">38</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a3cce0da3228d21258aa9ea44fcd0df60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cce0da3228d21258aa9ea44fcd0df60">&#9670;&nbsp;</a></span>emesg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char emesg[256]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00049">49</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a0e9d9d47133fce0cb42e2b8c009f0a33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e9d9d47133fce0cb42e2b8c009f0a33">&#9670;&nbsp;</a></span>error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int error</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00047">47</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a5892a9181e6a332f84d27aecd41dcd12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5892a9181e6a332f84d27aecd41dcd12">&#9670;&nbsp;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* key</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00040">40</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a7c9f5b49f0bf712754fe84f3cc2ea29a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c9f5b49f0bf712754fe84f3cc2ea29a">&#9670;&nbsp;</a></span>last_item</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a>* last_item</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00038">38</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="adb4f3c47fbd778c25e7a01c1620be16d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb4f3c47fbd778c25e7a01c1620be16d">&#9670;&nbsp;</a></span>last_token_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int last_token_type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00044">44</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a41ebd28ef1d7c6ade45642cb6acc1039"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41ebd28ef1d7c6ade45642cb6acc1039">&#9670;&nbsp;</a></span>line</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int line</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00045">45</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a0c0f0d9b82294b198e07f8385904e1c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c0f0d9b82294b198e07f8385904e1c2">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a>* name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00041">41</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a89f234133d3efe315836311cbf21c64b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89f234133d3efe315836311cbf21c64b">&#9670;&nbsp;</a></span>state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int state</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00043">43</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a1692abafd011506c458c0bda2b9459ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1692abafd011506c458c0bda2b9459ea">&#9670;&nbsp;</a></span>warnings</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int warnings</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00048">48</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="internal_8h_source.html">internal.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
